# -*- coding: cp1250 -*-
# dovolené namáhání

class namahani:   
    def nizka_pevnost(self, A, Rp02t_sroubu, Rp02t_priruba, pn, typ_tesneni):
        if A < 30:
            if Rp02t_sroubu >= Rp02t_priruba:
                pevnost = ("nizka", True, pn, typ_tesneni)
            else:
                pevnost = ("nizka", False, pn, typ_tesneni)
        else:
            if Rp02t_sroubu >= Rp02t_priruba:
                pevnost = ("nizka", True, pn, typ_tesneni)
            else:
                pevnost = ("nizka", False, pn, typ_tesneni)
        zaznam = [] # vytvoření prázdného seznamu
##        zaznam.append(A) # vložení proměnné do seznamu
##        zaznam.append(Rp02t_sroubu) # vložení proměnné do seznamu
##        zaznam.append(Rp02t_priruba) # vložení proměnné do seznamu
        zaznam.append(pevnost) # vložení proměnné do seznamu
        return zaznam

    def stredni_pevnost(self, A, Rp02t_sroubu, Rp02t_priruba, pn, typ_tesneni):
        if A < 30:
            if Rp02t_sroubu >= 1.4*Rp02t_priruba:
                pevnost = ("stredni", True, pn, typ_tesneni)
            else:
                pevnost = ("stredni", False, pn, typ_tesneni)
        else:
            if Rp02t_sroubu >= 1.4*Rp02t_priruba:
                pevnost = ("stredni", True, pn, typ_tesneni)
            else:
                pevnost = ("stredni", False, pn, typ_tesneni)
        zaznam = [] # vytvoření prázdného seznamu
##        zaznam.append(A) # vložení proměnné do seznamu
##        zaznam.append(Rp02t_sroubu) # vložení proměnné do seznamu
##        zaznam.append(Rp02t_priruba) # vložení proměnné do seznamu
        zaznam.append(pevnost) # vložení proměnné do seznamu
        return zaznam
    
    def vysoka_pevnost(self, A, Rp02t_sroubu, Rp02t_priruba, pn, typ_tesneni):
        if A < 30:
            if Rp02t_sroubu >= 2.5*Rp02t_priruba:
                pevnost = ("vysoka", True, pn, typ_tesneni)
            else:
                pevnost = ("vysoka", False, pn, typ_tesneni)
        else:
            if Rp02t_sroubu >= 2.5*Rp02t_priruba:
                pevnost = ("vysoka", True, pn, typ_tesneni)
            else:
                pevnost = ("vysoka", False, pn, typ_tesneni)
        zaznam = [] # vytvoření prázdného seznamu
##        zaznam.append(A) # vložení proměnné do seznamu
##        zaznam.append(Rp02t_sroubu) # vložení proměnné do seznamu
##        zaznam.append(Rp02t_priruba) # vložení proměnné do seznamu
        zaznam.append(pevnost) # vložení proměnné do seznamu
        return zaznam
                
    def dovolene_namahani_priruby(self, tlakova_zkouska, Temp, A, Rp02t, Rmt, Rm20):
        ## dovolené namáhání přírub
        if tlakova_zkouska == True:
            if A < 30:
                f = Rp02t/1.05
            elif A >= 30 and A < 35:
                f = Rp02t/1.05
            else:
                f = max(Rp02t/1.05,Rmt/2.0)
        else:
            if A < 30:
                f = min(Rp02t/1.5,Rm20/2.4)
            elif A >= 30 and A < 35:
                f = Rp02t/1.5
            else:
                f = max((Rp02t/1.5,min(Rp02t/1.2,Rmt/3.0)))
        return f
                
    def dovolene_namahani_sroubu(self, tlakova_zkouska, Temp, A, Rp02t, Rmt, Rm20):
        ## dovolené namáhání šroubů
        if tlakova_zkouska == True:
            if A < 30:
                f_sroubu = min(Rp02t/3.0,Rm20/4.0)*1.5
            else:
                f_sroubu = 1.5*Rmt/4.0        
        else:
            if A < 30:
                f_sroubu = min(Rp02t/3.0,Rm20/4.0)
            else:
                f_sroubu = Rmt/4.0
        return f_sroubu
    
    def dovolene_namahani_plaste(self, tlakova_zkouska, Temp, A, Rp02t, Rmt, Rm20):
        ## dovolené namáhání pláště
        if tlakova_zkouska == True:
            if A < 30:
                f = Rp02t/1.05
            elif A >= 30 and A < 35:
                f = Rp02t/1.05
            else:
                f = max(Rp02t/1.05,Rmt/2.0)
        else:
            if A < 30:
                f = min(Rp02t/1.5,Rm20/2.4)
            elif A >= 30 and A < 35:
                f = Rp02t/1.5
            else:
                f = max((Rp02t/1.5,min(Rp02t/1.2,Rmt/3.0)))
        return f
